<template>
  <div :class="['use-case-card', props.look]">
    <slot></slot>
    <div>
      <h3 class="use-case-title">
        {{ props.title }}
      </h3>
      <p v-html="props.description" class="use-case-desc"></p>
    </div>
  </div>
</template>

<script setup lang="ts">
interface Props {
  title: string
  description: string
  look: string
}
const props = defineProps<Props>()
</script>

<style scoped>
.use-case-card {
  height: 100%;
}
.row {
  display: flex;
  align-items: center;
}
.use-case-title {
  margin-bottom: 1rem;
  font-family: SFPro-Bold;
}
.blue .use-case-title {
  color: var(--blue);
}
.blue-dark .use-case-title {
  color: var(--blue-dark);
}
.use-case-desc {
  font-size: 1.4rem;
  color: var(--grey-dark);
  white-space: pre-line;
}
@media (max-width: 1024px) {
  .row {
    flex-direction: column;
    align-items: initial;
  }
}
@media (max-width: 500px) {
  .use-case-card {
    flex-direction: column;
    align-items: initial;
  }
  .use-case-desc {
    font-size: 1.4rem;
  }
}
</style>
